*** configure.in.beta2	Fri Dec 20 17:31:00 2002
--- configure.in	Fri Dec 27 09:15:30 2002
***************
*** 260,265 ****
--- 260,266 ----
  AC_HEADER_SYS_WAIT
  AC_CHECK_HEADERS(signal.h strings.h string.h syslog.h unistd.h uio.h errno.h regex.h sys/types.h sys/time.h sys/socket.h sys/loadavg.h)
  AC_CHECK_HEADERS(stdarg.h sys/unistd.h unistd.h ctype.h sys/wait.h stdlib.h)
+ AC_CHECK_HEADERS(poll.h sys/poll.h asm/poll.h)
  
  dnl Checks for typedefs, structures, and compiler characteristics.
  AC_C_CONST
***************
*** 427,433 ****
  	AC_DEFINE_UNQUOTED(VSZ_FORMAT,"%d %s",[])
  	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS waxco 'rss command'",[])
  	AC_DEFINE_UNQUOTED(RSS_FORMAT,"%d %s",[])
! 	echo "      ps syntax... $PATH_TO_PS -Ao 'state command vsz rss'"
  dnl BSD-like mode in RH 6.1
  elif [ps waxno 'state comm vsz rss uid user ppid args' 2>/dev/null | egrep -i "^S +COMMAND +VSZ +RSS +UID +USER +PPID +[RGSCOMDNA]+" >/dev/null]
  then
--- 428,436 ----
  	AC_DEFINE_UNQUOTED(VSZ_FORMAT,"%d %s",[])
  	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS waxco 'rss command'",[])
  	AC_DEFINE_UNQUOTED(RSS_FORMAT,"%d %s",[])
! 	AC_DEFINE_UNQUOTED(CPU_COMMAND,"$PATH_TO_PS waxco '%cpu command'",[])
! 	AC_DEFINE_UNQUOTED(CPU_FORMAT,"%f %s",[])
! 	echo "      ps syntax... $PATH_TO_PS -waxco 'state command vsz rss'"
  dnl BSD-like mode in RH 6.1
  elif [ps waxno 'state comm vsz rss uid user ppid args' 2>/dev/null | egrep -i "^S +COMMAND +VSZ +RSS +UID +USER +PPID +[RGSCOMDNA]+" >/dev/null]
  then
***************
*** 528,533 ****
--- 531,538 ----
  	AC_DEFINE_UNQUOTED(VSZ_FORMAT,"%d %s",[])
  	AC_DEFINE_UNQUOTED(RSS_COMMAND,"$PATH_TO_PS -Ao 'rss comm'",[])
  	AC_DEFINE_UNQUOTED(RSS_FORMAT,"%d %s",[])
+ 	AC_DEFINE_UNQUOTED(CPU_COMMAND,"$PATH_TO_PS -Ao 'pcpu comm'",[])
+ 	AC_DEFINE_UNQUOTED(CPU_FORMAT,"%f %s",[])
  	echo "      ps syntax... $PATH_TO_PS -Ao 's comm vsz rss'"
  elif [ps -Ao 'status comm vsz rss uid user ppid args' 2>/dev/null | egrep -i "^S[TAUES]* +C[OMDNA]+ +V[SIZE]+ +RSS +UID +USER +PPID +[RGSCOMDNA]+" >/dev/null]
  then
***************
*** 898,903 ****
--- 903,914 ----
    EXTRAS="$EXTRAS check_nt"
  fi
  
+ if test -f plugins/check_cpu.c ; then
+   EXTRAS="$EXTRAS check_cpu"
+ elif test -f ../plugins/check_cpu.c ; then
+   EXTRAS="$EXTRAS check_cpu"
+ fi
+ 
  AC_TRY_COMPILE([#ifdef __STDC__
  #include <stdio.h>
  #include <stdlib.h>
